import { Entity } from './types';
/**
 * The selector functions return access to portions of the Redux store related to request and response statuses, as well as the resulting entities themselves.
 * Selectors are all namespaced to portions of the state that you define for individual entity types.
 * @memberof RESTReduxCRUD
 * @namespace
 * @param {string} namespace The namespace of our selectors. eg. Query
 * @returns {object} selectors object containing our selectors.
 */
declare const selectors: <T extends Entity>(namespace: string) => {
    getListPending: (state: any) => boolean;
    getAddPending: (state: any) => boolean;
    getPendingEdits: (state: any) => ReadonlyArray<T>;
    getDeletePending: (state: any) => boolean;
    getAll: (state: any) => ReadonlyArray<T>;
};
export default selectors;
